
<body>
  
  <form #postForm="ngForm" class="example-form">
    <mat-form-field class="example-full-width">
      <mat-label>Username</mat-label>
      <input matInput placeholder="Enter user name" name="username" ngModel required />
    </mat-form-field>
    <mat-form-field class="example-full-width">
      <mat-label>Password</mat-label>
      <input
      type="password"
      matInput
      placeholder="Password"
      name="password"
      ngModel
      required
      />
    </mat-form-field>
    <a routerLink="/log" class="btn btn-success text-white">Login</a>
</form>

</body>